# Poco

# class DataException

Library: Foundation
Package: Core
Header: Poco/Exception.h

## Inheritance

Direct Base Classes: RuntimeException

All Base Classes: Exception, RuntimeException, std::exception

Known Derived Classes: DataFormatException, SyntaxException, CircularReferenceException, PathSyntaxException, URISyntaxException, Poco::Util::OptionException, Poco::Util::UnknownOptionException, Poco::Util::AmbiguousOptionException, Poco::Util::MissingOptionException, Poco::Util::MissingArgumentException, Poco::Util::InvalidArgumentException, Poco::Util::UnexpectedArgumentException, Poco::Util::IncompatibleOptionsException, Poco::Util::DuplicateOptionException, Poco::Util::EmptyOptionException

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### DataException

DataException(
int code = 0
);

### DataException

DataException(
const DataException & exc
);

### DataException

DataException(
const std::string & msg,
int code = 0
);

### DataException

DataException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### DataException

DataException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~DataException

~DataException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::RuntimeException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::RuntimeException::name()

### operator =

DataException & operator = (
const DataException & exc
);

### rethrow

void rethrow() const;

See also: Poco::RuntimeException::rethrow()